Package com.sun.jna.platform.win32

## Interface Winevt.EVT_QUERY_FLAGS

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_QUERY_FLAGS

  Defines the values that specify how to return the query results and whether you are query against a channel or log file. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385549(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `EvtQueryChannelPath` | Specifies that the query is against one or more channels.
    `static int` | `EvtQueryFilePath` | Specifies that the query is against one or more log files.
    `static int` | `EvtQueryForwardDirection` | Specifies that the events in the query result are ordered from oldest to newest.
    `static int` | `EvtQueryReverseDirection` | Specifies that the events in the query result are ordered from newest to oldest.
    `static int` | `EvtQueryTolerateQueryErrors` | Specifies that `Wevtapi.EvtQuery(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, java.lang.String, java.lang.String, int)` should run the query even if the part of the query generates an error (is not well formed).

- - ### Field Detail

    - #### EvtQueryChannelPath

          static final int EvtQueryChannelPath

      Specifies that the query is against one or more channels. The Path parameter of the EvtQuery function must specify the name of a channel or NULL.
      See Also:
        Constant Field Values

    - #### EvtQueryFilePath

          static final int EvtQueryFilePath

      Specifies that the query is against one or more log files. The Path parameter of the EvtQuery function must specify the full path to a log file or NULL.
      See Also:
        Constant Field Values

    - #### EvtQueryForwardDirection

          static final int EvtQueryForwardDirection

      Specifies that the events in the query result are ordered from oldest to newest. This is the default.
      See Also:
        Constant Field Values

    - #### EvtQueryReverseDirection

          static final int EvtQueryReverseDirection

      Specifies that the events in the query result are ordered from newest to oldest.
      See Also:
        Constant Field Values

    - #### EvtQueryTolerateQueryErrors

          static final int EvtQueryTolerateQueryErrors

      Specifies that `Wevtapi.EvtQuery(com.sun.jna.platform.win32.Winevt.EVT_HANDLE, java.lang.String, java.lang.String, int)` should run the query even if the part of the query generates an error (is not well formed). The service validates the syntax of the XPath query to determine if it is well formed. If the validation fails, the service parses the XPath into individual expressions. It builds a new XPath beginning with the left most expression. The service validates the expression and if it is valid, the service adds the next expression to the XPath. The service repeats this process until it finds the expression that is failing. It then uses the valid expressions that it found beginning with the leftmost expression as the XPath query (which means that you may not get the events that you expected). If no part of the XPath is valid, the EvtQuery call fails.
      See Also:
        Constant Field Values